# Makefile.in generated by automake 1.11.1 from Makefile.am.
# telepathy-glib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# To be included by Makefile.am.

# To be included by Makefile.am.

# To be included by Makefile.am.




pkgdatadir = $(datadir)/telepathy-glib
pkgincludedir = $(includedir)/telepathy-glib
pkglibdir = $(libdir)/telepathy-glib
pkglibexecdir = $(libexecdir)/telepathy-glib
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/abi.am $(srcdir)/codegen.am \
	$(srcdir)/introspection.am \
	$(srcdir)/telepathy-glib-uninstalled.pc.in \
	$(srcdir)/telepathy-glib.pc.in \
	$(top_srcdir)/tools/check-coding-style.mk \
	$(top_srcdir)/tools/flymake.mk $(tpginclude_HEADERS)
am__append_1 = _gen/version-script.txt
am__append_2 = _gen/version-script.txt _gen/abi.txt
am__append_3 = \
    $(VERSION_SCRIPT_ARG)=_gen/version-script.txt

#am__append_4 = -export-symbols-regex '^tp'
am__append_5 = \
    $(gir_DATA) \
    $(typelibs_DATA)

subdir = telepathy-glib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/compiler.m4 \
	$(top_srcdir)/m4/gtk-doc.m4 $(top_srcdir)/m4/introspection.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/linker.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/tp-compiler-flag.m4 \
	$(top_srcdir)/m4/tp-compiler-warnings.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = telepathy-glib.pc telepathy-glib-uninstalled.pc
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibsdir)" \
	"$(DESTDIR)$(genincludedir)" "$(DESTDIR)$(tpgincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libtelepathy_glib_internal_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am_libtelepathy_glib_internal_la_OBJECTS = account.lo \
	account-channel-request.lo account-manager.lo \
	add-dispatch-operation-context.lo base-channel.lo \
	base-client.lo base-connection.lo base-connection-manager.lo \
	base-protocol.lo capabilities.lo channel.lo channel-group.lo \
	channel-dispatcher.lo channel-dispatch-operation.lo \
	channel-manager.lo channel-request.lo client.lo connection.lo \
	connection-avatars.lo connection-contact-info.lo \
	connection-handles.lo connection-manager.lo contact.lo \
	contacts-mixin.lo dbus.lo dbus-daemon.lo \
	dbus-properties-mixin.lo debug.lo debug-sender.lo \
	interfaces.lo errors.lo exportable-channel.lo gnio-util.lo \
	group-mixin.lo gtypes.lo handle.lo handle-channels-context.lo \
	handle-repo.lo handle-repo-dynamic.lo handle-repo-static.lo \
	handle-set.lo heap.lo intset.lo channel-iface.lo \
	channel-factory-iface.lo media-interfaces.lo message-mixin.lo \
	observe-channels-context.lo presence-mixin.lo \
	properties-mixin.lo protocol.lo proxy.lo proxy-methods.lo \
	proxy-signals.lo run.lo simple-approver.lo simple-handler.lo \
	simple-observer.lo text-mixin.lo util.lo
nodist_libtelepathy_glib_internal_la_OBJECTS = error-str.lo \
	signals-marshal.lo genums.lo tp-svc-account.lo \
	tp-svc-account-manager.lo tp-svc-channel.lo \
	tp-svc-channel-dispatcher.lo \
	tp-svc-channel-dispatch-operation.lo tp-svc-channel-request.lo \
	tp-svc-client.lo tp-svc-connection.lo \
	tp-svc-connection-manager.lo tp-svc-debug.lo tp-svc-generic.lo \
	tp-svc-media-session-handler.lo tp-svc-media-stream-handler.lo \
	tp-svc-protocol.lo tp-svc-tls-cert.lo
libtelepathy_glib_internal_la_OBJECTS =  \
	$(am_libtelepathy_glib_internal_la_OBJECTS) \
	$(nodist_libtelepathy_glib_internal_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__objects_1 =
nodist_libtelepathy_glib_la_OBJECTS = $(am__objects_1)
libtelepathy_glib_la_OBJECTS = $(nodist_libtelepathy_glib_la_OBJECTS)
libtelepathy_glib_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(AM_CFLAGS) $(CFLAGS) $(libtelepathy_glib_la_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(libtelepathy_glib_internal_la_SOURCES) \
	$(nodist_libtelepathy_glib_internal_la_SOURCES) \
	$(nodist_libtelepathy_glib_la_SOURCES)
DIST_SOURCES = $(libtelepathy_glib_internal_la_SOURCES)
DATA = $(gir_DATA) $(pkgconfig_DATA) $(typelibs_DATA)
HEADERS = $(nodist_geninclude_HEADERS) $(tpginclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/missing --run tar
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/missing --run autoconf
AUTOHEADER = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/missing --run autoheader
AUTOMAKE = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/missing --run automake-1.11
AWK = gawk
CC = gcc -std=gnu99
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
COVERAGE_CFLAGS = 
CPP = gcc -std=gnu99 -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = 
CYGPATH_W = echo
DBUS_CFLAGS = -pthread -I/home/anish/sugar-jhbuild-dx3/install/include/dbus-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
DBUS_LIBS = -pthread -L/home/anish/sugar-jhbuild-dx3/install/lib -L/lib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_CODING_STYLE_CHECKS = no
ENABLE_DOC_CHECKS = no
ERROR_CFLAGS =  -Wall -Wextra -Wdeclaration-after-statement -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wsign-compare -Wnested-externs -Wpointer-arith -Wformat-security -Winit-self -Wno-missing-field-initializers -Wno-unused-parameter -Wno-deprecated-declarations
EXEEXT = 
FGREP = /bin/grep -F
GIO_UNIX_CFLAGS = -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GIO_UNIX_LIBS = -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GLIB_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GREP = /bin/grep
GTKDOC_CHECK = /usr/bin/gtkdoc-check
GTKDOC_MKPDF = /usr/bin/gtkdoc-mkpdf
GTKDOC_REBASE = /usr/bin/gtkdoc-rebase
HANDLE_LEAK_DEBUG_CFLAGS = 
HAVE_VALA = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib/girepository-1.0
LD = /usr/bin/ld
LDFLAGS = -L/home/anish/sugar-jhbuild-dx3/install/lib  -Wl,-O1
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 45
LT_CURRENT = 45
LT_REVISION = 4
MAKEINFO = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = telepathy-glib
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Telepathy&component=tp-glib&version=0.12
PACKAGE_NAME = Telepathy-GLib
PACKAGE_STRING = Telepathy-GLib 0.12.5
PACKAGE_TARNAME = telepathy-glib
PACKAGE_URL = 
PACKAGE_VERSION = 0.12.5
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /home/anish/sugar-jhbuild-dx3/install/lib/pkgconfig:/home/anish/sugar-jhbuild-dx3/install/share/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TP_GLIB_CFLAGS = -I${top_builddir} -I${top_srcdir}
VALAC = 
VALAFLAGS = 
VAPIGEN = 
VERSION = 0.12.5
VERSION_SCRIPT_ARG = -Wl,--version-script
XSLTPROC = xsltproc
abs_builddir = /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/telepathy-glib
abs_srcdir = /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/telepathy-glib
abs_top_builddir = /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5
abs_top_srcdir = /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/anish/sugar-jhbuild-dx3/source/telepathy-glib-0.12.5/install-sh
libdir = /home/anish/sugar-jhbuild-dx3/install/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/telepathy-glib
pkgpythondir = ${pythondir}/telepathy-glib
prefix = /home/anish/sugar-jhbuild-dx3/install
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
tpgincludedir = $(includedir)/telepathy-1.0/telepathy-glib
genincludedir = $(tpgincludedir)/_gen
pkgconfigdir = ${libdir}/pkgconfig
pkgconfig_DATA = telepathy-glib.pc
EXTRA_DIST = \
    $(ABI_LISTS) \
    $(codegen_extra_dist) \
    $(introspection_extra_dist) \
    extra-gtkdoc.h


# libtelepathy-glib is just a shared version of libtelepathy-glib-internal,
# produced by abi.am.
#
# The static version is necessary because one of the tests wants to use
# internal symbols (_tp_log) which are made invisible by GNU ld.
lib_LTLIBRARIES = libtelepathy-glib.la
noinst_LTLIBRARIES = libtelepathy-glib-internal.la

# headers that are subject to coding-style checks
our_headers = \
    account.h \
    account-channel-request.h \
    account-manager.h \
    add-dispatch-operation-context.h \
    base-client.h \
    base-channel.h \
    base-connection.h \
    base-connection-manager.h \
    base-protocol.h \
    channel.h \
    channel-iface.h \
    channel-dispatcher.h \
    channel-dispatch-operation.h \
    channel-factory-iface.h \
    channel-manager.h \
    channel-request.h \
    client.h \
    connection.h \
    connection-manager.h \
    capabilities.h \
    contact.h \
    contacts-mixin.h \
    dbus.h \
    dbus-daemon.h \
    dbus-properties-mixin.h \
    defs.h \
    debug.h \
    debug-sender.h \
    debug-ansi.h \
    enums.h \
    errors.h \
    exportable-channel.h \
    gnio-util.h \
    group-mixin.h \
    gtypes.h \
    handle.h \
    handle-channels-context.h \
    handle-repo.h \
    handle-repo-static.h \
    handle-repo-dynamic.h \
    heap.h \
    interfaces.h \
    intset.h \
    media-interfaces.h \
    message-mixin.h \
    observe-channels-context.h \
    presence-mixin.h \
    properties-mixin.h \
    protocol.h \
    proxy.h \
    proxy-subclass.h \
    run.h \
    simple-approver.h \
    simple-handler.h \
    simple-observer.h \
    svc-account.h \
    svc-account-manager.h \
    svc-channel-dispatcher.h \
    svc-channel-dispatch-operation.h \
    svc-channel.h \
    svc-channel-request.h \
    svc-client.h \
    svc-connection.h \
    svc-connection-manager.h \
    svc-debug.h \
    svc-generic.h \
    svc-media-interfaces.h \
    svc-properties-interface.h \
    svc-protocol.h \
    svc-tls.h \
    telepathy-glib.h \
    text-mixin.h \
    util.h

tpginclude_HEADERS = \
    $(our_headers) \
    verify.h

BUILT_SOURCES = $(codegen_sources)
CLEANFILES = $(BUILT_SOURCES) $(am__append_5)
check_c_sources = \
    $(our_headers) \
    $(libtelepathy_glib_internal_la_SOURCES)

libtelepathy_glib_internal_la_LIBADD = $(ALL_LIBS)
libtelepathy_glib_internal_la_SOURCES = \
    account.c \
    account-channel-request.c \
    account-internal.h \
    account-manager.c \
    account-manager-internal.h \
    add-dispatch-operation-context-internal.h \
    add-dispatch-operation-context.c \
    base-channel.c \
    base-client.c \
    base-client-internal.h \
    base-connection.c \
    base-connection-manager.c \
    base-protocol-internal.h \
    base-protocol.c \
    capabilities.c \
    capabilities-internal.h \
    channel.c \
    channel-group.c \
    channel-internal.h \
    channel-dispatcher.c \
    channel-dispatch-operation.c \
    channel-dispatch-operation-internal.h \
    channel-manager.c \
    channel-request.c \
    client.c \
    connection.c \
    connection-avatars.c \
    connection-contact-info.c \
    connection-internal.h \
    connection-handles.c \
    connection-manager.c \
    contact.c \
    contacts-mixin.c \
    dbus.c \
    dbus-daemon.c \
    dbus-internal.h \
    dbus-properties-mixin.c \
    debug.c \
    debug-sender.c \
    interfaces.c \
    debug-internal.h \
    errors.c \
    exportable-channel.c \
    gnio-util.c \
    group-mixin.c \
    gtypes.c \
    handle.c \
    handle-channels-context-internal.h \
    handle-channels-context.c \
    handle-repo.c \
    handle-repo-dynamic.c \
    handle-repo-internal.h \
    handle-repo-static.c \
    handle-set.c \
    heap.c \
    intset.c \
    channel-iface.c \
    channel-factory-iface.c \
    media-interfaces.c \
    message-mixin.c \
    observe-channels-context-internal.h \
    observe-channels-context.c \
    presence-mixin.c \
    properties-mixin.c \
    protocol.c \
    protocol-internal.h \
    proxy.c \
    proxy-internal.h \
    proxy-methods.c \
    proxy-signals.c \
    run.c \
    signals-marshal.list \
    simple-approver.c \
    simple-handler.c \
    simple-observer.c \
    text-mixin.c \
    util.c \
    util-internal.h

AM_CFLAGS = \
    -DG_LOG_DOMAIN=\"tp-glib\" \
    $(ERROR_CFLAGS) \
    -pthread -I/home/anish/sugar-jhbuild-dx3/install/include/dbus-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   \
    -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -pthread -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   \
     \
    -I$(top_builddir) \
    -I$(top_srcdir)

ALL_LIBS = \
    -pthread -L/home/anish/sugar-jhbuild-dx3/install/lib -L/lib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   \
    -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  

ABI_LISTS = \
    versions/0.7.0.abi \
    versions/0.7.1.abi \
    versions/0.7.2.abi \
    versions/0.7.3.abi \
    versions/0.7.5.abi \
    versions/0.7.6.abi \
    versions/0.7.7.abi \
    versions/0.7.8.abi \
    versions/0.7.9.abi \
    versions/0.7.10.abi \
    versions/0.7.12.abi \
    versions/0.7.13.abi \
    versions/0.7.14.abi \
    versions/0.7.15.abi \
    versions/0.7.16.abi \
    versions/0.7.17.abi \
    versions/0.7.18.abi \
    versions/0.7.19.abi \
    versions/0.7.20.abi \
    versions/0.7.21.abi \
    versions/0.7.23.abi \
    versions/0.7.24.abi \
    versions/0.7.26.abi \
    versions/0.7.27.abi \
    versions/0.7.28.abi \
    versions/0.7.29.abi \
    versions/0.7.30.abi \
    versions/0.7.31.abi \
    versions/0.7.32.abi \
    versions/0.7.34.abi \
    versions/0.7.35.abi \
    versions/0.7.36.abi \
    versions/0.7.37.abi \
    versions/0.9.0.abi \
    versions/0.9.2.abi \
    versions/0.11.0.abi \
    versions/0.11.1.abi \
    versions/0.11.3.abi \
    versions/0.11.4.abi \
    versions/0.11.5.abi \
    versions/0.11.6.abi \
    versions/0.11.7.abi \
    versions/0.11.9.abi \
    versions/0.11.11.abi \
    versions/0.11.12.abi \
    versions/0.11.13.abi \
    versions/0.11.14.abi \
    versions/0.11.15.abi \
    versions/0.11.16.abi


# The quoting here is unnecessary but harmless, and has the useful side-effect
# that vim quickfix mode (:make) doesn't interpret the libtool --mode=link
# command as an error message in a bizarrely named file
libtelepathy_glib_la_LDFLAGS = -version-info \
	"$(LT_CURRENT)":"$(LT_REVISION)":"$(LT_AGE)" $(am__append_3) \
	$(am__append_4)
libtelepathy_glib_la_LIBADD = libtelepathy-glib-internal.la
nodist_libtelepathy_glib_la_SOURCES = $(am__append_1)
libtelepathy_glib_la_DEPENDENCIES = libtelepathy-glib-internal.la \
	abi.am $(am__append_2)
# allow new ABI, and silently put it in a dummy version (which can be used to
# check whether binaries have been linked against unguaranteed ABI)
#MAKE_VERSION_SCRIPT_FLAGS = \
#    --unreleased-version=TELEPATHY_GLIB_0.12.5_UNRELEASED


# don't allow undocumented ABI
MAKE_VERSION_SCRIPT_FLAGS = 
codegen_extra_dist = \
    account.xml \
    account-manager.xml \
    channel.xml \
    channel-dispatcher.xml \
    channel-dispatch-operation.xml \
    channel-request.xml \
    client.xml \
    debug.xml \
    connection.xml \
    connection-manager.xml \
    dbus-daemon.xml \
    dbus-introspectable.xml \
    dbus-peer.xml \
    dbus-properties.xml \
    generic.xml \
    genums.c.template \
    genums.h.template \
    media-session-handler.xml \
    media-stream-handler.xml \
    protocol.xml \
    stable-interfaces.xml \
    tls-cert.xml

codegen_sources = \
    $(nodist_libtelepathy_glib_internal_la_SOURCES) \
    $(nodist_geninclude_HEADERS) \
    _gen/stable-spec.xml \
    _gen/spec-stamp \
    _gen/stable-stamp

nodist_geninclude_HEADERS = \
    _gen/error-str.h \
    _gen/telepathy-enums.h \
    _gen/telepathy-interfaces.h \
    _gen/genums.h \
    _gen/gtypes.h \
    _gen/tp-cli-account.h \
    _gen/tp-cli-account-manager.h \
    _gen/tp-cli-channel.h \
    _gen/tp-cli-channel-dispatcher.h \
    _gen/tp-cli-channel-dispatch-operation.h \
    _gen/tp-cli-channel-request.h \
    _gen/tp-cli-client.h \
    _gen/tp-cli-connection.h \
    _gen/tp-cli-connection-manager.h \
    _gen/tp-cli-dbus-daemon.h \
    _gen/tp-cli-generic.h \
    _gen/tp-cli-media-session-handler.h \
    _gen/tp-cli-media-stream-handler.h \
    _gen/tp-cli-protocol.h \
    _gen/tp-svc-account.h \
    _gen/tp-svc-account-manager.h \
    _gen/tp-svc-channel.h \
    _gen/tp-svc-channel-dispatcher.h \
    _gen/tp-svc-channel-dispatch-operation.h \
    _gen/tp-svc-channel-request.h \
    _gen/tp-svc-client.h \
    _gen/tp-svc-connection.h \
    _gen/tp-svc-connection-manager.h \
    _gen/tp-svc-debug.h \
    _gen/tp-svc-generic.h \
    _gen/tp-svc-media-session-handler.h \
    _gen/tp-svc-media-stream-handler.h \
    _gen/tp-svc-protocol.h \
    _gen/tp-svc-tls-cert.h

nodist_libtelepathy_glib_internal_la_SOURCES = \
    _gen/error-str.c \
    _gen/signals-marshal.c \
    _gen/signals-marshal.h \
    _gen/signals-marshal.list \
    _gen/tp-signals-marshal.list \
    _gen/interfaces-body.h \
    _gen/genums.c \
    _gen/gtypes-body.h \
    _gen/register-dbus-glib-marshallers-body.h \
    _gen/tp-cli-account-body.h \
    _gen/tp-cli-account-manager-body.h \
    _gen/tp-cli-channel-body.h \
    _gen/tp-cli-channel-dispatcher-body.h \
    _gen/tp-cli-channel-dispatch-operation-body.h \
    _gen/tp-cli-channel-request-body.h \
    _gen/tp-cli-client-body.h \
    _gen/tp-cli-connection-body.h \
    _gen/tp-cli-connection-manager-body.h \
    _gen/tp-cli-dbus-daemon-body.h \
    _gen/tp-cli-generic-body.h \
    _gen/tp-cli-media-session-handler-body.h \
    _gen/tp-cli-media-stream-handler-body.h \
    _gen/tp-cli-protocol-body.h \
    _gen/tp-svc-account.c \
    _gen/tp-svc-account-manager.c \
    _gen/tp-svc-channel.c \
    _gen/tp-svc-channel-dispatcher.c \
    _gen/tp-svc-channel-dispatch-operation.c \
    _gen/tp-svc-channel-request.c \
    _gen/tp-svc-client.c \
    _gen/tp-svc-connection.c \
    _gen/tp-svc-connection-manager.c \
    _gen/tp-svc-debug.c \
    _gen/tp-svc-generic.c \
    _gen/tp-svc-media-session-handler.c \
    _gen/tp-svc-media-stream-handler.c \
    _gen/tp-svc-protocol.c \
    _gen/tp-svc-tls-cert.c


# Generated stuff
DROP_NAMESPACE = sed -e 's@xmlns:tp="http://telepathy\.freedesktop\.org/wiki/DbusSpec.extensions-v0"@@g'
tools_dir = $(top_srcdir)/tools
introspection_extra_dist = \
	TelepathyGLib-0.12.metadata \
	kludge.xsl \
	$(NULL)

INTROSPECTION_FILES = \
	$(srcdir)/proxy.c _gen/proxy-introspectable.h \
	$(srcdir)/account.c $(srcdir)/account.h \
	$(srcdir)/account-channel-request.c $(srcdir)/account-channel-request.h \
	$(srcdir)/account-manager.c $(srcdir)/account-manager.h \
	$(srcdir)/connection.c $(srcdir)/connection.h \
	$(srcdir)/connection-handles.c $(srcdir)/connection-contact-info.c \
	$(srcdir)/protocol.c $(srcdir)/protocol.h \
	$(srcdir)/connection-manager.c $(srcdir)/connection-manager.h \
	$(srcdir)/channel.c $(srcdir)/channel.h \
	$(srcdir)/handle.c $(srcdir)/handle.h \
	$(srcdir)/handle-channels-context.c $(srcdir)/handle-channels-context.h \
	$(srcdir)/dbus-daemon.c $(srcdir)/dbus-daemon.h \
	$(srcdir)/interfaces.c $(srcdir)/interfaces.h \
	$(srcdir)/intset.c $(srcdir)/intset.h \
	$(srcdir)/dbus.c $(srcdir)/dbus.h \
	$(srcdir)/capabilities.c $(srcdir)/capabilities.h \
	$(srcdir)/contact.c $(srcdir)/contact.h \
	$(srcdir)/defs.h \
	$(srcdir)/debug.c $(srcdir)/debug.h \
	$(srcdir)/base-client.c $(srcdir)/base-client.h \
	$(srcdir)/simple-approver.c $(srcdir)/simple-approver.h \
	$(srcdir)/simple-handler.c $(srcdir)/simple-handler.h \
	$(srcdir)/simple-observer.c $(srcdir)/simple-observer.h \
	$(srcdir)/dbus-properties-mixin.c $(srcdir)/dbus-properties-mixin.h \
	$(srcdir)/contacts-mixin.c $(srcdir)/contacts-mixin.h \
	$(srcdir)/group-mixin.c $(srcdir)/group-mixin.h \
	$(srcdir)/presence-mixin.c $(srcdir)/presence-mixin.h \
	$(srcdir)/channel-dispatch-operation.c $(srcdir)/channel-dispatch-operation.h \
	$(srcdir)/channel-request.c $(srcdir)/channel-request.h \
	$(srcdir)/observe-channels-context.c $(srcdir)/observe-channels-context.h \
	$(srcdir)/add-dispatch-operation-context.c $(srcdir)/add-dispatch-operation-context.h \
	$(srcdir)/protocol.c $(srcdir)/protocol.h \
	$(srcdir)/base-connection.c $(srcdir)/base-connection.h \
	$(srcdir)/handle-repo.c $(srcdir)/handle-repo.h $(srcdir)/handle-set.c \
	$(srcdir)/errors.c $(srcdir)/errors.h \
	_gen/telepathy-enums.h \
	$(NULL)

gi_identifier_prefix_arg = --strip-prefix
#gi_identifier_prefix_arg = --identifier-prefix
gi_warn_all_arg = 
#gi_warn_all_arg = --warn-all
girdir = $(datadir)/gir-1.0
gir_DATA = TelepathyGLib-0.12.gir
typelibsdir = $(libdir)/girepository-1.0/
typelibs_DATA = $(gir_DATA:.gir=.typelib)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/tools/flymake.mk $(top_srcdir)/tools/check-coding-style.mk $(srcdir)/abi.am $(srcdir)/codegen.am $(srcdir)/introspection.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu telepathy-glib/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu telepathy-glib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
telepathy-glib.pc: $(top_builddir)/config.status $(srcdir)/telepathy-glib.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
telepathy-glib-uninstalled.pc: $(top_builddir)/config.status $(srcdir)/telepathy-glib-uninstalled.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libtelepathy-glib-internal.la: $(libtelepathy_glib_internal_la_OBJECTS) $(libtelepathy_glib_internal_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(LINK)  $(libtelepathy_glib_internal_la_OBJECTS) $(libtelepathy_glib_internal_la_LIBADD) $(LIBS)
libtelepathy-glib.la: $(libtelepathy_glib_la_OBJECTS) $(libtelepathy_glib_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libtelepathy_glib_la_LINK) -rpath $(libdir) $(libtelepathy_glib_la_OBJECTS) $(libtelepathy_glib_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/account-channel-request.Plo
include ./$(DEPDIR)/account-manager.Plo
include ./$(DEPDIR)/account.Plo
include ./$(DEPDIR)/add-dispatch-operation-context.Plo
include ./$(DEPDIR)/base-channel.Plo
include ./$(DEPDIR)/base-client.Plo
include ./$(DEPDIR)/base-connection-manager.Plo
include ./$(DEPDIR)/base-connection.Plo
include ./$(DEPDIR)/base-protocol.Plo
include ./$(DEPDIR)/capabilities.Plo
include ./$(DEPDIR)/channel-dispatch-operation.Plo
include ./$(DEPDIR)/channel-dispatcher.Plo
include ./$(DEPDIR)/channel-factory-iface.Plo
include ./$(DEPDIR)/channel-group.Plo
include ./$(DEPDIR)/channel-iface.Plo
include ./$(DEPDIR)/channel-manager.Plo
include ./$(DEPDIR)/channel-request.Plo
include ./$(DEPDIR)/channel.Plo
include ./$(DEPDIR)/client.Plo
include ./$(DEPDIR)/connection-avatars.Plo
include ./$(DEPDIR)/connection-contact-info.Plo
include ./$(DEPDIR)/connection-handles.Plo
include ./$(DEPDIR)/connection-manager.Plo
include ./$(DEPDIR)/connection.Plo
include ./$(DEPDIR)/contact.Plo
include ./$(DEPDIR)/contacts-mixin.Plo
include ./$(DEPDIR)/dbus-daemon.Plo
include ./$(DEPDIR)/dbus-properties-mixin.Plo
include ./$(DEPDIR)/dbus.Plo
include ./$(DEPDIR)/debug-sender.Plo
include ./$(DEPDIR)/debug.Plo
include ./$(DEPDIR)/error-str.Plo
include ./$(DEPDIR)/errors.Plo
include ./$(DEPDIR)/exportable-channel.Plo
include ./$(DEPDIR)/genums.Plo
include ./$(DEPDIR)/gnio-util.Plo
include ./$(DEPDIR)/group-mixin.Plo
include ./$(DEPDIR)/gtypes.Plo
include ./$(DEPDIR)/handle-channels-context.Plo
include ./$(DEPDIR)/handle-repo-dynamic.Plo
include ./$(DEPDIR)/handle-repo-static.Plo
include ./$(DEPDIR)/handle-repo.Plo
include ./$(DEPDIR)/handle-set.Plo
include ./$(DEPDIR)/handle.Plo
include ./$(DEPDIR)/heap.Plo
include ./$(DEPDIR)/interfaces.Plo
include ./$(DEPDIR)/intset.Plo
include ./$(DEPDIR)/media-interfaces.Plo
include ./$(DEPDIR)/message-mixin.Plo
include ./$(DEPDIR)/observe-channels-context.Plo
include ./$(DEPDIR)/presence-mixin.Plo
include ./$(DEPDIR)/properties-mixin.Plo
include ./$(DEPDIR)/protocol.Plo
include ./$(DEPDIR)/proxy-methods.Plo
include ./$(DEPDIR)/proxy-signals.Plo
include ./$(DEPDIR)/proxy.Plo
include ./$(DEPDIR)/run.Plo
include ./$(DEPDIR)/signals-marshal.Plo
include ./$(DEPDIR)/simple-approver.Plo
include ./$(DEPDIR)/simple-handler.Plo
include ./$(DEPDIR)/simple-observer.Plo
include ./$(DEPDIR)/text-mixin.Plo
include ./$(DEPDIR)/tp-svc-account-manager.Plo
include ./$(DEPDIR)/tp-svc-account.Plo
include ./$(DEPDIR)/tp-svc-channel-dispatch-operation.Plo
include ./$(DEPDIR)/tp-svc-channel-dispatcher.Plo
include ./$(DEPDIR)/tp-svc-channel-request.Plo
include ./$(DEPDIR)/tp-svc-channel.Plo
include ./$(DEPDIR)/tp-svc-client.Plo
include ./$(DEPDIR)/tp-svc-connection-manager.Plo
include ./$(DEPDIR)/tp-svc-connection.Plo
include ./$(DEPDIR)/tp-svc-debug.Plo
include ./$(DEPDIR)/tp-svc-generic.Plo
include ./$(DEPDIR)/tp-svc-media-session-handler.Plo
include ./$(DEPDIR)/tp-svc-media-stream-handler.Plo
include ./$(DEPDIR)/tp-svc-protocol.Plo
include ./$(DEPDIR)/tp-svc-tls-cert.Plo
include ./$(DEPDIR)/util.Plo

.c.o:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	$(AM_V_CC) \
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

error-str.lo: _gen/error-str.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT error-str.lo -MD -MP -MF $(DEPDIR)/error-str.Tpo -c -o error-str.lo `test -f '_gen/error-str.c' || echo '$(srcdir)/'`_gen/error-str.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/error-str.Tpo $(DEPDIR)/error-str.Plo
#	$(AM_V_CC) \
#	source='_gen/error-str.c' object='error-str.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o error-str.lo `test -f '_gen/error-str.c' || echo '$(srcdir)/'`_gen/error-str.c

signals-marshal.lo: _gen/signals-marshal.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT signals-marshal.lo -MD -MP -MF $(DEPDIR)/signals-marshal.Tpo -c -o signals-marshal.lo `test -f '_gen/signals-marshal.c' || echo '$(srcdir)/'`_gen/signals-marshal.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/signals-marshal.Tpo $(DEPDIR)/signals-marshal.Plo
#	$(AM_V_CC) \
#	source='_gen/signals-marshal.c' object='signals-marshal.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o signals-marshal.lo `test -f '_gen/signals-marshal.c' || echo '$(srcdir)/'`_gen/signals-marshal.c

genums.lo: _gen/genums.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT genums.lo -MD -MP -MF $(DEPDIR)/genums.Tpo -c -o genums.lo `test -f '_gen/genums.c' || echo '$(srcdir)/'`_gen/genums.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/genums.Tpo $(DEPDIR)/genums.Plo
#	$(AM_V_CC) \
#	source='_gen/genums.c' object='genums.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o genums.lo `test -f '_gen/genums.c' || echo '$(srcdir)/'`_gen/genums.c

tp-svc-account.lo: _gen/tp-svc-account.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-account.lo -MD -MP -MF $(DEPDIR)/tp-svc-account.Tpo -c -o tp-svc-account.lo `test -f '_gen/tp-svc-account.c' || echo '$(srcdir)/'`_gen/tp-svc-account.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-account.Tpo $(DEPDIR)/tp-svc-account.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-account.c' object='tp-svc-account.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-account.lo `test -f '_gen/tp-svc-account.c' || echo '$(srcdir)/'`_gen/tp-svc-account.c

tp-svc-account-manager.lo: _gen/tp-svc-account-manager.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-account-manager.lo -MD -MP -MF $(DEPDIR)/tp-svc-account-manager.Tpo -c -o tp-svc-account-manager.lo `test -f '_gen/tp-svc-account-manager.c' || echo '$(srcdir)/'`_gen/tp-svc-account-manager.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-account-manager.Tpo $(DEPDIR)/tp-svc-account-manager.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-account-manager.c' object='tp-svc-account-manager.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-account-manager.lo `test -f '_gen/tp-svc-account-manager.c' || echo '$(srcdir)/'`_gen/tp-svc-account-manager.c

tp-svc-channel.lo: _gen/tp-svc-channel.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-channel.lo -MD -MP -MF $(DEPDIR)/tp-svc-channel.Tpo -c -o tp-svc-channel.lo `test -f '_gen/tp-svc-channel.c' || echo '$(srcdir)/'`_gen/tp-svc-channel.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-channel.Tpo $(DEPDIR)/tp-svc-channel.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-channel.c' object='tp-svc-channel.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-channel.lo `test -f '_gen/tp-svc-channel.c' || echo '$(srcdir)/'`_gen/tp-svc-channel.c

tp-svc-channel-dispatcher.lo: _gen/tp-svc-channel-dispatcher.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-channel-dispatcher.lo -MD -MP -MF $(DEPDIR)/tp-svc-channel-dispatcher.Tpo -c -o tp-svc-channel-dispatcher.lo `test -f '_gen/tp-svc-channel-dispatcher.c' || echo '$(srcdir)/'`_gen/tp-svc-channel-dispatcher.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-channel-dispatcher.Tpo $(DEPDIR)/tp-svc-channel-dispatcher.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-channel-dispatcher.c' object='tp-svc-channel-dispatcher.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-channel-dispatcher.lo `test -f '_gen/tp-svc-channel-dispatcher.c' || echo '$(srcdir)/'`_gen/tp-svc-channel-dispatcher.c

tp-svc-channel-dispatch-operation.lo: _gen/tp-svc-channel-dispatch-operation.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-channel-dispatch-operation.lo -MD -MP -MF $(DEPDIR)/tp-svc-channel-dispatch-operation.Tpo -c -o tp-svc-channel-dispatch-operation.lo `test -f '_gen/tp-svc-channel-dispatch-operation.c' || echo '$(srcdir)/'`_gen/tp-svc-channel-dispatch-operation.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-channel-dispatch-operation.Tpo $(DEPDIR)/tp-svc-channel-dispatch-operation.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-channel-dispatch-operation.c' object='tp-svc-channel-dispatch-operation.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-channel-dispatch-operation.lo `test -f '_gen/tp-svc-channel-dispatch-operation.c' || echo '$(srcdir)/'`_gen/tp-svc-channel-dispatch-operation.c

tp-svc-channel-request.lo: _gen/tp-svc-channel-request.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-channel-request.lo -MD -MP -MF $(DEPDIR)/tp-svc-channel-request.Tpo -c -o tp-svc-channel-request.lo `test -f '_gen/tp-svc-channel-request.c' || echo '$(srcdir)/'`_gen/tp-svc-channel-request.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-channel-request.Tpo $(DEPDIR)/tp-svc-channel-request.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-channel-request.c' object='tp-svc-channel-request.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-channel-request.lo `test -f '_gen/tp-svc-channel-request.c' || echo '$(srcdir)/'`_gen/tp-svc-channel-request.c

tp-svc-client.lo: _gen/tp-svc-client.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-client.lo -MD -MP -MF $(DEPDIR)/tp-svc-client.Tpo -c -o tp-svc-client.lo `test -f '_gen/tp-svc-client.c' || echo '$(srcdir)/'`_gen/tp-svc-client.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-client.Tpo $(DEPDIR)/tp-svc-client.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-client.c' object='tp-svc-client.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-client.lo `test -f '_gen/tp-svc-client.c' || echo '$(srcdir)/'`_gen/tp-svc-client.c

tp-svc-connection.lo: _gen/tp-svc-connection.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-connection.lo -MD -MP -MF $(DEPDIR)/tp-svc-connection.Tpo -c -o tp-svc-connection.lo `test -f '_gen/tp-svc-connection.c' || echo '$(srcdir)/'`_gen/tp-svc-connection.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-connection.Tpo $(DEPDIR)/tp-svc-connection.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-connection.c' object='tp-svc-connection.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-connection.lo `test -f '_gen/tp-svc-connection.c' || echo '$(srcdir)/'`_gen/tp-svc-connection.c

tp-svc-connection-manager.lo: _gen/tp-svc-connection-manager.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-connection-manager.lo -MD -MP -MF $(DEPDIR)/tp-svc-connection-manager.Tpo -c -o tp-svc-connection-manager.lo `test -f '_gen/tp-svc-connection-manager.c' || echo '$(srcdir)/'`_gen/tp-svc-connection-manager.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-connection-manager.Tpo $(DEPDIR)/tp-svc-connection-manager.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-connection-manager.c' object='tp-svc-connection-manager.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-connection-manager.lo `test -f '_gen/tp-svc-connection-manager.c' || echo '$(srcdir)/'`_gen/tp-svc-connection-manager.c

tp-svc-debug.lo: _gen/tp-svc-debug.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-debug.lo -MD -MP -MF $(DEPDIR)/tp-svc-debug.Tpo -c -o tp-svc-debug.lo `test -f '_gen/tp-svc-debug.c' || echo '$(srcdir)/'`_gen/tp-svc-debug.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-debug.Tpo $(DEPDIR)/tp-svc-debug.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-debug.c' object='tp-svc-debug.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-debug.lo `test -f '_gen/tp-svc-debug.c' || echo '$(srcdir)/'`_gen/tp-svc-debug.c

tp-svc-generic.lo: _gen/tp-svc-generic.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-generic.lo -MD -MP -MF $(DEPDIR)/tp-svc-generic.Tpo -c -o tp-svc-generic.lo `test -f '_gen/tp-svc-generic.c' || echo '$(srcdir)/'`_gen/tp-svc-generic.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-generic.Tpo $(DEPDIR)/tp-svc-generic.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-generic.c' object='tp-svc-generic.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-generic.lo `test -f '_gen/tp-svc-generic.c' || echo '$(srcdir)/'`_gen/tp-svc-generic.c

tp-svc-media-session-handler.lo: _gen/tp-svc-media-session-handler.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-media-session-handler.lo -MD -MP -MF $(DEPDIR)/tp-svc-media-session-handler.Tpo -c -o tp-svc-media-session-handler.lo `test -f '_gen/tp-svc-media-session-handler.c' || echo '$(srcdir)/'`_gen/tp-svc-media-session-handler.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-media-session-handler.Tpo $(DEPDIR)/tp-svc-media-session-handler.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-media-session-handler.c' object='tp-svc-media-session-handler.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-media-session-handler.lo `test -f '_gen/tp-svc-media-session-handler.c' || echo '$(srcdir)/'`_gen/tp-svc-media-session-handler.c

tp-svc-media-stream-handler.lo: _gen/tp-svc-media-stream-handler.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-media-stream-handler.lo -MD -MP -MF $(DEPDIR)/tp-svc-media-stream-handler.Tpo -c -o tp-svc-media-stream-handler.lo `test -f '_gen/tp-svc-media-stream-handler.c' || echo '$(srcdir)/'`_gen/tp-svc-media-stream-handler.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-media-stream-handler.Tpo $(DEPDIR)/tp-svc-media-stream-handler.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-media-stream-handler.c' object='tp-svc-media-stream-handler.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-media-stream-handler.lo `test -f '_gen/tp-svc-media-stream-handler.c' || echo '$(srcdir)/'`_gen/tp-svc-media-stream-handler.c

tp-svc-protocol.lo: _gen/tp-svc-protocol.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-protocol.lo -MD -MP -MF $(DEPDIR)/tp-svc-protocol.Tpo -c -o tp-svc-protocol.lo `test -f '_gen/tp-svc-protocol.c' || echo '$(srcdir)/'`_gen/tp-svc-protocol.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-protocol.Tpo $(DEPDIR)/tp-svc-protocol.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-protocol.c' object='tp-svc-protocol.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-protocol.lo `test -f '_gen/tp-svc-protocol.c' || echo '$(srcdir)/'`_gen/tp-svc-protocol.c

tp-svc-tls-cert.lo: _gen/tp-svc-tls-cert.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT tp-svc-tls-cert.lo -MD -MP -MF $(DEPDIR)/tp-svc-tls-cert.Tpo -c -o tp-svc-tls-cert.lo `test -f '_gen/tp-svc-tls-cert.c' || echo '$(srcdir)/'`_gen/tp-svc-tls-cert.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/tp-svc-tls-cert.Tpo $(DEPDIR)/tp-svc-tls-cert.Plo
#	$(AM_V_CC) \
#	source='_gen/tp-svc-tls-cert.c' object='tp-svc-tls-cert.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o tp-svc-tls-cert.lo `test -f '_gen/tp-svc-tls-cert.c' || echo '$(srcdir)/'`_gen/tp-svc-tls-cert.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-girDATA: $(gir_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(girdir)" || $(MKDIR_P) "$(DESTDIR)$(girdir)"
	@list='$(gir_DATA)'; test -n "$(girdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(girdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(girdir)" || exit $$?; \
	done

uninstall-girDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(gir_DATA)'; test -n "$(girdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(girdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(girdir)" && rm -f $$files
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(pkgconfigdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pkgconfigdir)" && rm -f $$files
install-typelibsDATA: $(typelibs_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(typelibsdir)" || $(MKDIR_P) "$(DESTDIR)$(typelibsdir)"
	@list='$(typelibs_DATA)'; test -n "$(typelibsdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(typelibsdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(typelibsdir)" || exit $$?; \
	done

uninstall-typelibsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(typelibs_DATA)'; test -n "$(typelibsdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(typelibsdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(typelibsdir)" && rm -f $$files
install-nodist_genincludeHEADERS: $(nodist_geninclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(genincludedir)" || $(MKDIR_P) "$(DESTDIR)$(genincludedir)"
	@list='$(nodist_geninclude_HEADERS)'; test -n "$(genincludedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(genincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(genincludedir)" || exit $$?; \
	done

uninstall-nodist_genincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_geninclude_HEADERS)'; test -n "$(genincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(genincludedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(genincludedir)" && rm -f $$files
install-tpgincludeHEADERS: $(tpginclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(tpgincludedir)" || $(MKDIR_P) "$(DESTDIR)$(tpgincludedir)"
	@list='$(tpginclude_HEADERS)'; test -n "$(tpgincludedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(tpgincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(tpgincludedir)" || exit $$?; \
	done

uninstall-tpgincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(tpginclude_HEADERS)'; test -n "$(tpgincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(tpgincludedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(tpgincludedir)" && rm -f $$files

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(typelibsdir)" "$(DESTDIR)$(genincludedir)" "$(DESTDIR)$(tpgincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-noinstLTLIBRARIES mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-local distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-girDATA install-nodist_genincludeHEADERS \
	install-pkgconfigDATA install-tpgincludeHEADERS \
	install-typelibsDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-libLTLIBRARIES

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-girDATA uninstall-libLTLIBRARIES \
	uninstall-nodist_genincludeHEADERS uninstall-pkgconfigDATA \
	uninstall-tpgincludeHEADERS uninstall-typelibsDATA

.MAKE: all check check-am install install-am install-strip

.PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
	clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-noinstLTLIBRARIES ctags distclean distclean-compile \
	distclean-generic distclean-libtool distclean-local \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-girDATA \
	install-html install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-man \
	install-nodist_genincludeHEADERS install-pdf install-pdf-am \
	install-pkgconfigDATA install-ps install-ps-am install-strip \
	install-tpgincludeHEADERS install-typelibsDATA installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags uninstall uninstall-am uninstall-girDATA \
	uninstall-libLTLIBRARIES uninstall-nodist_genincludeHEADERS \
	uninstall-pkgconfigDATA uninstall-tpgincludeHEADERS \
	uninstall-typelibsDATA

check-syntax:
	$(CC) $(AM_CPPFLAGS) $(AM_CFLAGS) -fsyntax-only $(CHK_SOURCES)

.PHONY: check-syntax

distclean-local:
	rm -rf _gen
check-coding-style:
	@fail=0; \
	if test -n "$(check_misc_sources)"; then \
		tools_dir=$(top_srcdir)/tools \
		sh $(top_srcdir)/tools/check-misc.sh \
			$(addprefix $(srcdir)/,$(check_misc_sources)) || fail=1; \
	fi; \
	if test -n "$(check_c_sources)"; then \
		tools_dir=$(top_srcdir)/tools \
		sh $(top_srcdir)/tools/check-c-style.sh \
			$(addprefix $(srcdir)/,$(check_c_sources)) || fail=1; \
	fi;\
	if test yes = "$(ENABLE_CODING_STYLE_CHECKS)"; then \
		exit "$$fail";\
	else \
		exit 0;\
	fi

check-local: check-coding-style

_gen/version-script.txt: $(ABI_LISTS) _gen/abi.txt abi.am \
	$(top_srcdir)/tools/make-version-script.py
	$(AM_V_GEN)$(PYTHON) $(top_srcdir)/tools/make-version-script.py \
		 --symbols=_gen/abi.txt $(MAKE_VERSION_SCRIPT_FLAGS) \
		 $(ABI_LISTS:%=$(srcdir)/%) > $@
	$(PYTHON) $(top_srcdir)/tools/make-version-script.py \
		 --symbols=_gen/abi.txt $(MAKE_VERSION_SCRIPT_FLAGS) \
		 --dpkg "libtelepathy-glib.so.0 libtelepathy-glib0 #MINVER#" \
		 --dpkg-build-depends-package "libtelepathy-glib-dev" \
		 $(ABI_LISTS:%=$(srcdir)/%) > _gen/libtelepathy-glib0.symbols
	sed -n -e "s/^[	 ]*\\(tp_.*\\);/\\1/p" < $@ > _gen/versioned-abi.tmp
	sort -u < _gen/versioned-abi.tmp > _gen/versioned-abi.txt
	: # the versioned API should always match the ^tp API
	diff -c _gen/versioned-abi.txt _gen/abi.txt

_gen/abi.txt: libtelepathy-glib-internal.la abi.am
	$(NM) .libs/libtelepathy-glib-internal.a > _gen/abi.nm
	grep " [DT] " < _gen/abi.nm > _gen/abi.funcs
	cut -d" " -f3 < _gen/abi.funcs > _gen/abi.funcnames
	grep "^tp" < _gen/abi.funcnames > _gen/abi.tpfuncnames
	$(AM_V_GEN)sort -u < _gen/abi.tpfuncnames > $@

# vim:set ft=automake:

# Bootstrapping

_gen/spec-stamp: $(wildcard $(top_srcdir)/spec/*.xml)
	$(mkdir_p) _gen
	touch $@

_gen/stable-stamp: $(wildcard $(abs_srcdir)/*.xml) _gen/spec-stamp
	touch $@

_gen/stable-spec.xml: stable-interfaces.xml _gen/stable-stamp $(tools_dir)/xincludator.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/xincludator.py $< > $@

# Things generated from the whole spec at once

_gen/gtypes.h _gen/gtypes-body.h: _gen/stable-spec.xml \
	$(tools_dir)/glib-gtypes-generator.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/glib-gtypes-generator.py \
		_gen/stable-spec.xml \
		_gen/gtypes Tp

_gen/telepathy-enums.h: _gen/stable-spec.xml \
	$(tools_dir)/c-constants-gen.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/c-constants-gen.py \
		Tp $< _gen/telepathy-enums

_gen/interfaces-body.h _gen/telepathy-interfaces.h: _gen/stable-spec.xml \
	$(tools_dir)/glib-interfaces-gen.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/glib-interfaces-gen.py \
		Tp _gen/interfaces-body.h _gen/telepathy-interfaces.h $<

_gen/register-dbus-glib-marshallers-body.h: _gen/stable-spec.xml \
	$(tools_dir)/glib-client-marshaller-gen.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/glib-client-marshaller-gen.py $< _tp > $@

_gen/tp-signals-marshal.list: $(tools_dir)/glib-signals-marshal-gen.py \
	_gen/stable-spec.xml
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/glib-signals-marshal-gen.py \
		_gen/stable-spec.xml > $@

_gen/signals-marshal.list: signals-marshal.list _gen/tp-signals-marshal.list
	$(AM_V_GEN)sort -u $^ > $@

_gen/signals-marshal.h: _gen/signals-marshal.list codegen.am
	$(AM_V_GEN)$(GLIB_GENMARSHAL) --header --prefix=_tp_marshal $< > $@

_gen/signals-marshal.c: _gen/signals-marshal.list codegen.am
	$(AM_V_GEN){ echo '#include "_gen/signals-marshal.h"' && \
	$(GLIB_GENMARSHAL) --body --prefix=_tp_marshal $< ; } > $@

_gen/genums.c: _gen/spec-stamp genums.c.template $(our_headers) codegen.am
	$(AM_V_GEN)( cd $(srcdir) && \
		$(GLIB_MKENUMS) --template genums.c.template $(our_headers) \
		) > $@

_gen/genums.h: _gen/spec-stamp genums.h.template $(our_headers) codegen.am
	$(AM_V_GEN)( cd $(srcdir) && \
		$(GLIB_MKENUMS) --template genums.h.template $(our_headers) \
		) > $@

_gen/error-str.h _gen/error-str.c: _gen/stable-spec.xml \
	$(tools_dir)/glib-errors-str-gen.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/glib-errors-str-gen.py \
		_gen/error-str $<

# Things generated per interface

_gen/tp-spec-%.xml: %.xml _gen/spec-stamp $(tools_dir)/xincludator.py
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/xincludator.py $< > $@

_gen/tp-svc-%.c _gen/tp-svc-%.h: _gen/tp-spec-%.xml \
	$(tools_dir)/glib-ginterface-gen.py \
	codegen.am
	$(AM_V_GEN)$(PYTHON) $(tools_dir)/glib-ginterface-gen.py \
		--filename=_gen/tp-svc-$* \
		--signal-marshal-prefix=_tp \
		--include='<telepathy-glib/dbus.h>' \
		--include="\"_gen/signals-marshal.h\"" \
		--not-implemented-func='tp_dbus_g_method_return_not_implemented' \
		$< Tp_Svc_

_gen/tp-cli-%-body.h _gen/tp-cli-%.h: _gen/tp-spec-%.xml \
	$(tools_dir)/glib-client-gen.py \
	codegen.am
	$(AM_V_GEN)set -e; \
	subclass= ; \
	subclass_assert= ; \
	case $* in \
		generic) \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
		account-manager) \
			subclass=--subclass=TpAccountManager; \
			subclass_assert=--subclass-assert=TP_IS_ACCOUNT_MANAGER; \
			;; \
		account) \
			subclass=--subclass=TpAccount; \
			subclass_assert=--subclass-assert=TP_IS_ACCOUNT; \
			;; \
		channel) \
			subclass=--subclass=TpChannel; \
			subclass_assert=--subclass-assert=TP_IS_CHANNEL; \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
		channel-dispatcher) \
			subclass=--subclass=TpChannelDispatcher; \
			subclass_assert=--subclass-assert=TP_IS_CHANNEL_DISPATCHER; \
			;; \
		channel-dispatch-operation) \
			subclass=--subclass=TpChannelDispatchOperation; \
			subclass_assert=--subclass-assert=TP_IS_CHANNEL_DISPATCH_OPERATION; \
			;; \
		channel-request) \
			subclass=--subclass=TpChannelRequest; \
			subclass_assert=--subclass-assert=TP_IS_CHANNEL_REQUEST; \
			;; \
		client) \
			subclass=--subclass=TpClient; \
			subclass_assert=--subclass-assert=TP_IS_CLIENT; \
			;; \
		connection-manager) \
			subclass=--subclass=TpConnectionManager; \
			subclass_assert=--subclass-assert=TP_IS_CONNECTION_MANAGER \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
		connection) \
			subclass=--subclass=TpConnection; \
			subclass_assert=--subclass-assert=TP_IS_CONNECTION; \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
		media-session-handler) \
			subclass=--subclass=TpMediaSessionHandler; \
			subclass_assert=--subclass-assert=TP_IS_MEDIA_SESSION_HANDLER; \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
		media-stream-handler) \
			subclass=--subclass=TpMediaStreamHandler; \
			subclass_assert=--subclass-assert=TP_IS_MEDIA_STREAM_HANDLER; \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
		dbus-daemon) \
			subclass=--subclass=TpDBusDaemon; \
			subclass_assert=--subclass-assert=TP_IS_DBUS_DAEMON; \
			maybe_reentrant=--deprecate-reentrant=TP_DISABLE_DEPRECATED; \
			;; \
	esac; \
	$(PYTHON) $(tools_dir)/glib-client-gen.py \
		$$subclass $$subclass_assert \
		--group `echo $* | tr - _` \
		--iface-quark-prefix=TP_IFACE_QUARK \
		--tp-proxy-api=0.7.6 \
		--deprecation-attribute=_TP_GNUC_DEPRECATED \
		$$maybe_reentrant \
		$< Tp_Cli _gen/tp-cli-$*

# vim:set ft=automake:

_gen/proxy-introspectable.h: proxy.h introspection.am
	@$(mkdir_p) _gen
	$(AM_V_GEN)sed -e 's/gpointer self/TpProxy *self/' < $< > $@

TelepathyGLib-0.12.gir: $(INTROSPECTION_SCANNER) \
		libtelepathy-glib.la \
		$(srcdir)/kludge.xsl \
		$(INTROSPECTION_FILES)
	$(AM_V_GEN)$(INTROSPECTION_SCANNER) -v \
		--namespace TelepathyGLib \
		--nsversion=0.12 \
		$(gi_identifier_prefix_arg)=Tp \
		-I$(top_builddir) \
		-I$(top_srcdir) \
		--include=GLib-2.0 \
		--include=Gio-2.0 \
		--libtool="$(top_builddir)/libtool" \
		--library=libtelepathy-glib.la \
		--pkg gio-2.0 \
		--pkg dbus-glib-1 \
		$(gi_warn_all_arg) \
		--output _gen/$@.tmp \
		$(INTROSPECTION_FILES)
	@xsltproc $(srcdir)/kludge.xsl _gen/$@.tmp > $@
	@rm -f _gen/$@.tmp

%.typelib: %.gir $(INTROSPECTION_COMPILER)
	$(AM_V_GEN)$(top_builddir)/libtool --mode=execute \
	    $(INTROSPECTION_COMPILER) \
	        --includedir=$(srcdir) \
	        --includedir=. \
	        $(INTROSPECTION_COMPILER_OPTS) $< -o $(@F)

# vim:set ft=automake:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
